/**
 * @module neornd
 * @example
 * import neornd from 'neornd'
 */
export default class neornd {
  /**
   * Generate random BigInt in the range of specified minimum byte length and maximum
   * @param {number} minByteLen - Minimum byte length
   * @param {number} maxByteLen - Maximum byte length
   * @return {bigint} Return random bigint
   */
  static bigint(minByteLen: number, maxByteLen: number): bigint;
  /**
   * Generate random number with number of digits after decimal point you want
   * @param {number} min - Minimum number you want
   * @param {number} max - Maximum number you want
   * @param {number} round - The number of digits to appear after the decimal point
   * @return {number} Return random number with number of digits after decimal point you want
   **/
  static number(min: number, max: number, round?: number): number;
  /**
   * Generate random string with specified length
   * @param {number} length - Length of string you want to get
   * @param {object} options - Types you want to include in string [lowercase, uppercase, number, symbol]
   * @return {string} Return random string including specified types
   */
  static string(length: number, options?: import('./getRandomString').optionsObjectInterface): string;
  /**
   * Sort input string randomly
   * @param {string} str - String you want to sort randomly
   * @return {string} Return string sorted randomly
   */
  static sort(str: string): string;
}
//# sourceMappingURL=index.d.ts.map
